summaryrefslogtreecommitdiffstats
path: root/audio/streamripper
diff options
context:
space:
mode:
author Heinz Wiesinger2010-05-11 20:30:57 +0200
committer Heinz Wiesinger2010-05-11 20:30:57 +0200
commit443cef4db7d14e337995a0f378140bff038ed394 (patch)
tree984d84a9923df04e8fc194cc77dcc95869fbd3b0 /audio/streamripper
parent89a9de9fdb49a6b0a8048f24e01e177f96eec2d4 (diff)
downloadslackbuilds-443cef4db7d14e337995a0f378140bff038ed394.tar.gz
audio/streamripper: Moved from multimedia
Diffstat (limited to 'audio/streamripper')
-rw-r--r--audio/streamripper/README11
-rw-r--r--audio/streamripper/slack-desc19
-rw-r--r--audio/streamripper/streamripper.SlackBuild87
-rw-r--r--audio/streamripper/streamripper.info8
4 files changed, 125 insertions, 0 deletions
diff --git a/audio/streamripper/README b/audio/streamripper/README
new file mode 100644
index 0000000000..aec3d2df31
--- /dev/null
+++ b/audio/streamripper/README
@@ -0,0 +1,11 @@
+Streamripper records SHOUTcast and Icecast compatible streams.
+It uses meta data within a SHOUTcast stream to determine the
+beginning and end of each song, and stores the songs on your
+hard disk as individual mp3 files. In addition, Streamripper
+includes a relay server for listening to the station while
+you are recording.
+
+tre (also available at http://www.slackbuilds.org/) is
+required to build this package. However, Streamripper will
+use an included tre library if you add --with-included-tre
+to the ./configure section of the SlackBuild.
diff --git a/audio/streamripper/slack-desc b/audio/streamripper/slack-desc
new file mode 100644
index 0000000000..bc9b1d0231
--- /dev/null
+++ b/audio/streamripper/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+streamripper: Streamripper (Rip SHOUTcast Radio Streams to MP3 Files)
+streamripper:
+streamripper: Streamripper records SHOUTcast and Icecast compatible streams.
+streamripper: It uses meta data within a SHOUTcast stream to determine the
+streamripper: beginning and end of each song, and stores the songs on your
+streamripper: hard disk as individual mp3 files. In addition, Streamripper
+streamripper: includes a relay server for listening to the station while
+streamripper: you are recording.
+streamripper:
+streamripper: Homepage: http://streamripper.sourceforge.net/
+streamripper:
diff --git a/audio/streamripper/streamripper.SlackBuild b/audio/streamripper/streamripper.SlackBuild
new file mode 100644
index 0000000000..0a76f4d31e
--- /dev/null
+++ b/audio/streamripper/streamripper.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for Streamripper
+
+# Copyright 2007-2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=streamripper
+VERSION=1.62.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="CHANGES COPYING INSTALL README THANKS"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --program-prefix="" \
+ --program-suffix="" \
+ || exit 1
+
+# --with-included-tre \ # Use the TRE library included with Streamripper
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/streamripper/streamripper.info b/audio/streamripper/streamripper.info
new file mode 100644
index 0000000000..f5d1907bfe
--- /dev/null
+++ b/audio/streamripper/streamripper.info
@@ -0,0 +1,8 @@
+PRGNAM="streamripper"
+VERSION="1.62.3"
+HOMEPAGE="http://streamripper.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/streamripper/streamripper-1.62.3.tar.gz"
+MD5SUM="127eb52355d0d10183ee22c44b5a9039"
+MAINTAINER="Frank Caraballo"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="David Somero"